Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class CharacterEncodingMapping

    java.lang.Object
      |
      +--oracle.jbo.common.CharacterEncodingMapping

public class CharacterEncodingMapping
extends java.lang.Object

Provides two static conversion functions to translate between IANA names for character set encodings and JDK names.

The code for this class is partially generated, using the (unpublished) utility oracle.xml.parser.v2.MapReverser, the source for which is controlled by the Oracle Business Components for Java team. see http://java.sun.com/products/jdk/1.1/intl/html/intlspec.doc7.html and http://java.sun.com/products/jdk/1.2/docs/guide/internat/encoding.doc.html for the published list of JDK encodings. The JDK code in 1.1 and 1.2 is slightly incomplete: there are a few mappings defined in the doc that don't exist: ISO2022CN ISO2022KR, MS950 and GBK There's nothing we can do abpout that problem till its fixed by Sun

Method Summary
`static java.lang.String` | `convertIanaToJdk(java.lang.String ianaName)` Wrapper function for the sun.io.CharacterEncoding.alaisName function (undocumented) provided by Sun to translate from IANA encoding names to JDK encoding names.
`static java.lang.String` | `convertJdkToIana(java.lang.String jdkName)` Reverse mapping of IANA to JDK character encoding names.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### convertIanaToJdk

    public static java.lang.String convertIanaToJdk(java.lang.String ianaName)

  Wrapper function for the sun.io.CharacterEncoding.alaisName function (undocumented) provided by Sun to translate from IANA encoding names to JDK encoding names. This method is placed here so that there is a BC4J entrypoint for this method: it's possible we may have to duplicate Sun's code to support all VM's (using stuff from sun.io makes one implementation dependent)

### convertJdkToIana

    public static java.lang.String convertJdkToIana(java.lang.String jdkName)

  Reverse mapping of IANA to JDK character encoding names. This function is used by XMLOutputstream to produce XML files which are in the native encoding of the client workstation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD